Inbound Routing Policies
List inbound routing policies
Returns every inbound routing policy configured for the authenticated partner. Enabled policies resolve in priority order: PHONE_NUMBER, then AGENT, then PARTNER.
GET
/
inbound-route-policies
List inbound routing policies
curl --request GET \
--url https://api.vocobase.com/api/v2/inbound-route-policies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vocobase.com/api/v2/inbound-route-policies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vocobase.com/api/v2/inbound-route-policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"policies": [
{
"id": "clxj3rx7z000008l51s9vh3hf",
"partner_config_id": "8f7c95c6-6f2e-4f8f-bd1a-a6c9d9f4e2e3",
"scope": "PHONE_NUMBER",
"phone_number_id": "f1a2c3d4-1111-2222-3333-444455556666",
"phone_number": {
"id": "f1a2c3d4-1111-2222-3333-444455556666",
"number": "+918065480085"
},
"agent_id": null,
"agent": null,
"name": "Inbound owner routing",
"enabled": true,
"webhook_url": "https://partner.example.com/inbound-policy",
"has_webhook_secret": true,
"timeout_ms": 2000,
"failure_action": "ANSWER_WITH_AI",
"allowed_actions": [
"ANSWER_WITH_AI",
"SELECT_AGENT",
"TRANSFER",
"REJECT"
],
"created_at": "2026-07-01T10:00:00.000Z",
"updated_at": "2026-07-01T10:00:00.000Z"
}
]
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}
}{
"success": false,
"error": {
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred"
}
}Previous
Create inbound routing policyCreates a webhook-backed policy for pre-answer inbound call routing. PHONE_NUMBER policies target one active inbound-enabled Vobiz or Plivo DID, AGENT policies target an active agent, and PARTNER policies apply as the partner default.
Next
⌘I
List inbound routing policies
